summaryrefslogtreecommitdiff
path: root/tests/misc/shuf
diff options
context:
space:
mode:
authorJim Meyering <jim@meyering.net>2006-09-29 16:52:48 +0000
committerJim Meyering <jim@meyering.net>2006-09-29 16:52:48 +0000
commita38becce9752e67f71e79e8c230b327869802e70 (patch)
treedfcc3eb484617775b630eb08486ec656d88948c4 /tests/misc/shuf
parent31c77a2fde27888aead246cde6eb88724450e5e1 (diff)
downloadcoreutils-a38becce9752e67f71e79e8c230b327869802e70.tar.xz
* src/shuf.c (read_input): Fix an off-by-one error that
would cause an infloop for piped input of 8KB or more. * NEWS: Mention the fix. * tests/misc/shuf: Test for the above fix.
Diffstat (limited to 'tests/misc/shuf')
-rwxr-xr-xtests/misc/shuf4
1 files changed, 4 insertions, 0 deletions
diff --git a/tests/misc/shuf b/tests/misc/shuf
index 585df9901..17a74dd3f 100755
--- a/tests/misc/shuf
+++ b/tests/misc/shuf
@@ -51,4 +51,8 @@ cmp in out > /dev/null && { fail=1; echo "not random?" 1>&2; }
sort -n out > out1
cmp in out1 || { fail=1; echo "not a permutation" 1>&2; }
+# Before coreutils-6.3, this would infloop.
+# "seq 1860" produces 8193 bytes of output.
+seq 1860 | shuf > /dev/null || fail=1
+
(exit $fail); exit $fail